Based on our tests so far, we’re confident that the following devices support the LUMI app.

  • iPhone X, iPhone XS, iPhone XR
  • iPhone 11
  • iPad 7th gen, iPad Pro 3rd gen, iPad Mini 5th gen
  • Samsung S10
  • Samsung Tab S6
  • Google Pixel 3
  • Google Pixel 4


The minimum OS required for the app to run properly are below:


  • iOS 11
  • Android 10


We’re now in the process of testing more devices (below). We have good reason to believe that they’ll work well with LUMI, but we need a little more time to confirm.

  • iPhone 7
  • iPhone 8
  • Samsung S8
  • Samsung S9
  • iPad Pro 2nd gen



Please let us know if your device is working super well, or not so well. Contact us at lumi.feedback@roli.com for specific feedback about device compatibility. That’s a big help to our team as we continue to improve the LUMI app.